/* doublebuff -- This routine uses malloc to allocate double buffer
 * space.  The argument nelem defines the number of floating
 * point elements.  It returns a double pointer to the space.  If malloc
 * fails, getbuff dies with an error message.
 */
#include <stdio.h>
#include <stdlib.h>

double *doublebuff(long nelem)
{
  double *point;
  if ((point = (double*)malloc((unsigned)(sizeof(double)*nelem)))
       == (double*)NULL) {
    fprintf(stderr,"doublebuff: can't get %ld words\n",nelem);
    exit(1);
  }
  return(point);
}

/* fbuf -- Free a buffer obtained with doublebuff */
void fbuf(double *ptr)
{
  free((char*)ptr);
}
