#!/bin/sh
#
# crmebudget.sh -- Calculate entropy budget from a crm prof file.
#
if test $# != 1
then
    echo "Usage: crmebudget.sh case_num"
else
    num=$1
    infile=prof.$num


    cdfmath 'rho ent * rhoent =' < $infile | \
	cdfmath 'sentradcum rho * rhosentradcum =' | \
	cdfdefint z | \
	cdfmath 'rhoent entfluxcum - rhosentradcum - residual =' | \
	qplot "time,rhoent,p/time,entfluxcum,p/time,rhosentradcum,p/time,residual,p/1,gr/sw,le/case $num,tl"
fi
