#!/bin/sh
#
# crmeval.sh -- Evaluate the output of a crm run from the time mean file.
#
if test $# != 1
then
    echo "Usage: crmeval.sh num"
else
    num=$1
    meanfile=mean.${num}
    casefile=case.${num}

    cdfmath 'srtwtg 1.e9 * srtwtg =' < $meanfile | \
	cdfmath 'srtrain 1.e9 * srtrain =' | \
	qplot "10,fs/5,7,2,1,fg/1,sp/th,z,p/the,z,p/thes,z,p/280,420,20,0,20000,5000,ax/1,gr/2,sp/srtwtg,z,p/srtrain,z,p/1,gr/Case $num,tu" $casefile pdf && gv ${casefile}.pdf &

    echo "case $num"

    cdfmath "rainflux -86400 * rain =" < $meanfile | \
	cdfmath "rtflux 86400 * rtflux =" | \
	cdfmath "rho srtrain * 86400 * rhosrtrain =" | \
	cdfmath "rho sentrad * rhosentrad =" | \
	cdfdefint z | \
	cdflook | egrep ' rain = | entflux = | rtflux = | rhosrtrain = | rhosentrad = '
fi
