#!/bin/sh
#
# crmprof.sh -- compute a profile file for cumulus ensemble model
#   include stuff needed for NGMS computation
#
if test $# != 1
then
    echo "Usage: crmprof.sh run_number"
    exit 1
fi

run=$1

cdfcatf t${run}/t* | \
    cdfmath 'rho sentradcum * rhosentradcum =' | \
    cdfmath 'rho srtraincum * rhosrtraincum =' | \
    cdfmath 'rho sentwtgcum * rhosentwtgcum =' | \
    cdfmath 'rho srtwtgcum * rhosrtwtgcum =' | \
    cdfrdim x 0 10000000 | \
    cdfrdim y 0 10000000 | \
    cdfcat time 0 50000000 10001 > prof.${run}
