#!/bin/sh
#
# crmrain.sh -- Make an estimate of the rainfall rate (mm/day) from
# the surface entropy flux S, the reference profile instability
# index II0, and the reference profile saturation fraction SF0.
# These results come from a multiple linear regression analysis
# of a bunch of CRM SWTG runs with entropy029.
#
if test $# != 3
then
    echo "Usage: crmrain.sh S II0 SF0"
else
    S=$1
    II0=$2
    SF0=$3
    
    B=-112
    Scoef=38.8
    II0coef=-1.34
    SF0coef=171

    rainrate=`echo "$B + $Scoef*$S + $II0coef*$II0 + $SF0coef*$SF0" | bc`
    echo $rainrate
fi
