#!/bin/sh
#
# crmtropref.sh -- Make a reference profile characteristic of an
# upper level PV anomaly.
#
if test $# != 4
then
    echo "Usage: crmtropref.sh vwind stemp dthtrop pendepth"
else
    vwind=$1
    stemp=$2
    dthtrop=$3
    pendepth=$4
    tpause=15000
    top=20000

# create init file
    cdfmath "$top z - $top $tpause - / $dthtrop * thmstrat =" | \
	cdfmath "z $tpause - $pendepth / exp $dthtrop * thmtrop =" | \
	cdfmath "z $tpause < thmtrop thmstrat ? thm =" | \
	cdfmath "thm 0 * rhm =" | \
	cdfextr th thm rt rhm sentrad stemp | \
	cdfextr -s x y z | \
	cdfmath "z 0 * $vwind + vy =" | cdfmath "z 0 * vx =" | \
	cdfmath "th thm + th =" | \
	cdfmath "1 rhm + rt * rt =" | \
	cdfmath "$stemp stemp =" | \
	cdfcomment "dthtrop: ${dthtrop}; pendepth: $pendepth"
fi
