#!/bin/sh
#
# crmttwtg.sh -- Compute the wtg temperature tendency from sentwtg
# and srtwtg.  Input is from the fluxes file produced by crmcufluxes.sh.
#
if test $# != 1
then
    echo "Usage: crmttwtg.sh num"
else
    num=$1
    PR=100000
    KAPPA=0.286
    L=2.833e6
    TREF=300
    CP=1005
    infile=fluxes.$num
    prefix=thetatend.${num}

    cdfmath "p $PR / $KAPPA pow th * temp =" < $infile | \
	cdfmath "sentwtg srtwtg $L * $TREF / - th * $CP / 86400 * sthwtg =" | \
	cdfderiv dthdz th0 z | \
	cdfmath 'dthdz vzwtg * 86400 * sthvz =' | \
	qplot "14,fs/sthwtg,z,b,2,sthwtg,p/sthvz,z,r,2,sthvz,p/ne,le/potential temperature tendency (K~/day),lx/height (m),ly/1,gr/Case $num,tl" $prefix pdf

xpdf ${prefix}.pdf
fi
