/* thermotest.c -- point test the thermodynamics package */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "thermo.h"

main(int argc, char *argv[])
{
  double p,pi,th,ent,rt,rho,t;
  double rsout,esout,thout,entout,entsout,gmoistout;
  

  if (argc != 6) {
    fprintf(stderr,"Usage: p th ent rt rho\n");
    exit(1);
  }

  p = atof(argv[1]);
  th = atof(argv[2]);
  ent = atof(argv[3]);
  rt = atof(argv[4]);
  rho = atof(argv[5]);
  pi = exner(p);
  t = th*pi/1005.;

  rsout = rs(th,pi);
  esout = escalc(t);
  thout = thetacomp(ent,rt,pi);
  entout = entcomp(th,rt,pi);
  entsout = entscomp(th,pi);
  gmoistout = gmoist(th,pi);

  fprintf(stderr,"input:\n");
  fprintf(stderr,"p = %8.0f; th = %8.2f; ent = %8.2f; rt = %8.5f; rho = %8.3f; t = %8.2f\n",p,th,ent,rt,rho,t);
  fprintf(stderr,"output:\n");
  fprintf(stderr,"es = %8.0f; rs = %8.5f; th = %8.2f; ent = %8.2f; ents = %8.2f; gmoist = %8.5f\n",esout,rsout,thout,entout,entsout,gmoistout);

  exit(0);
}
